/* $Id: colormap.h,v 1.5 2001/12/31 09:35:06 ach Exp $ */
/* Copyright (c) 2001 Alex Hioreanu.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * WARNING:  This code is VERY untested, as all of my machines run at
 * 24 or 32 bit depth
 */

#ifndef COLORMAP_H
#define COLORMAP_H

#include "config.h"

#include "client.h"

extern Atom WM_COLORMAP_WINDOWS;

/*
 * Initialize the colormap module.
 * No dependencies.
 */

void colormap_init();

/*
 * Install the client's colormaps.
 */

void colormap_install(client_t *client);

/*
 * Update client->colormap_windows based on WM_COLORMAP_WINDOWS
 * property
 */

void colormap_update_windows_property(client_t *client);

/*
 * Try to handle a ClientMessage.  Returns True if handled it.
 */

Bool colormap_handle_clientmessage(XClientMessageEvent *xevent);

#endif /* COLORMAP_H */
