/* $Id: kill.c,v 1.10 2002/01/05 07:43:10 ach Exp $ */
/* Copyright (c) 2001 Alex Hioreanu.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "config.h"

#include <stdio.h>

#include "kill.h"
#include "event.h"
#include "debug.h"

void kill_nicely(XEvent *xevent, arglist *ignored)
{
    client_t *client;

    client = client_find(xevent->xbutton.window);
    if (client == NULL) {
        fprintf(stderr, "AHWM: Unable to kill client, client not found\n");
        return;
    }
    if (client->protocols & PROTO_DELETE_WINDOW) {
        debug(("\tPolitely requesting window to die\n"));
        client_sendmessage(client, WM_DELETE_WINDOW, event_timestamp,
                           0, 0, 0);
    } else {
        debug(("\tWindow isn't civilized, exterminating it\n"));
        kill_with_extreme_prejudice(xevent, ignored);
    }
}
    
void kill_with_extreme_prejudice(XEvent *xevent, arglist *ignored)
{
    client_t *client;

    client = client_find(xevent->xbutton.window);
    if (client == NULL) {
        fprintf(stderr, "AHWM: Unable to kill client, client not found\n");
        return;
    }
    debug(("\tCommiting windicide\n"));
    XKillClient(dpy, client->window);
}
